Bug 535966 - (RHQ-366) Drools integration for rule-based suggestions/optimizations/alerts
Drools integration for rule-based suggestions/optimizations/alerts
Status: CLOSED DEFERRED
Product: RHQ Project
Classification: Other
Component: Monitoring (Show other bugs)
1.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 17:32 EDT by David Ward
Modified: 2014-05-12 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
agnostic
Last Closed: 2014-05-12 15:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Ward 2008-04-22 17:32:00 EDT
The idea is that based on various data points (platform, configuration, version, jdk, *especially metrics collected*, etc...), it would be uber-cool for RHQ to either make suggestions to the admin on what could be tweaked (possibly configuration-wise), or maybe even tweak it for the admin (self-tuning).  The idea could be extended out to the alerting mechanism, where alerts might only get fired based on dynamic rules (rather than hard-configured metric value boundaries).
Comment 1 Red Hat Bugzilla 2009-11-10 16:07:49 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-366
Comment 2 wes hayutin 2010-02-16 16:09:16 EST
Mass move to component = Monitoring
Comment 3 Corey Welton 2010-10-06 23:27:06 EDT
Triaged 5-Oct
Comment 4 Jay Shaughnessy 2014-05-12 15:32:32 EDT
This is covered in design discussions and ultimately may happen, but will be tracked elsewhere.

Note You need to log in before you can comment on or make changes to this bug.